Publish a comment: approves a pending one, restores a removed one
PATCH /api/comments/{commentId}. Publish a comment: approves a pending one, restores a removed one. Headless LMS Discussion API reference.
Path Parameters
commentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/comments/string" \ -H "Content-Type: application/json" \ -d '{ "status": "published" }'{ "id": "string", "orgId": "string", "activityId": "string", "parentId": "string", "orgUserId": "string", "body": "string", "status": "pending", "removedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List comments, filtered by course, activity, author, status or reports GET
GET /api/comments. List comments, filtered by course, activity, author, status or reports. Headless LMS Discussion API reference.
Remove a comment as a moderator DELETE
DELETE /api/comments/{commentId}. Remove a comment as a moderator. Headless LMS Discussion API reference.